Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SecurityTokenOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SecurityToken`, `ClientWireProtocol.SecurityToken.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SecurityTokenOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getData()` | The token payload
`com.google.protobuf.ByteString` | `getDataBytes()` | The token payload
`String` | `getIssuerFingerprint()` | `string issuerFingerprint = 3;`
`com.google.protobuf.ByteString` | `getIssuerFingerprintBytes()` | `string issuerFingerprint = 3;`
`String` | `getSignature()` | `string signature = 2;`
`com.google.protobuf.ByteString` | `getSignatureBytes()` | `string signature = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getData

String getData()

     The token payload

`string data = 1;`

Returns:
  The data.

### getDataBytes

com.google.protobuf.ByteString getDataBytes()

     The token payload

`string data = 1;`

Returns:
  The bytes for data.

### getSignature

String getSignature()
`string signature = 2;`

Returns:
  The signature.

### getSignatureBytes

com.google.protobuf.ByteString getSignatureBytes()
`string signature = 2;`

Returns:
  The bytes for signature.

### getIssuerFingerprint

String getIssuerFingerprint()
`string issuerFingerprint = 3;`

Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

com.google.protobuf.ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 3;`

Returns:
  The bytes for issuerFingerprint.